<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class AddForeignKeysToAbServiceAdslTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('ab_service__adsl', function(Blueprint $table)
		{
			$table->foreign('provided_adsl_plan_id', 'fk_sa_ap')->references('id')->on('ab_adsl_plan')->onUpdate('NO ACTION')->onDelete('NO ACTION');
			$table->foreign('service_id', 'fk_sa_svc')->references('id')->on('ab_service')->onUpdate('NO ACTION')->onDelete('NO ACTION');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('ab_service__adsl', function(Blueprint $table)
		{
			$table->dropForeign('fk_sa_ap');
			$table->dropForeign('fk_sa_svc');
		});
	}

}
